# MiniMax H3 Reference to Video API

> En fazla 9 görüntü, 3 video ve 3 ses referansından 5 ila 15 saniyelik, 4K'ya kadar video

Image 1, Video 1 veya Audio 1 gibi referanslara sıralarına göre atıfta bulunan bir `prompt` üzerinden video oluşturur. En fazla 9 görüntü, 3 video klibi ve 3 ses klibi, toplamda en fazla 12 dosya sağlayın. `duration` 5 ile 15 saniye, `resolution` 480P, 768P, 2K veya 4K'dır; `aspect_ratio` adaptive, 21:9, 16:9, 4:3, 1:1, 3:4 ve 9:16 seçeneklerini içerir.

- Model id: `minimax/h3/reference-to-video`
- Made by: MiniMax
- Category: Reference to Video
- Output: video
- Price per second of your output video: from $0.05 / second of output video (cheapest run $0.05 (50 API credits))
- Run: `POST https://api.doitong.com/v1/run/minimax/h3/reference-to-video`
- Quote: `POST https://api.doitong.com/v1/quote/minimax/h3/reference-to-video`
- Docs page: https://doitong.com/tr/developers/models/minimax/h3/reference-to-video

## Pricing

Price: **from $0.05 / second of output video** (the lowest tier; the quote prices your exact input). Price per second of your output video: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

Price by tier:

- 480P: $0.05 / second of output video
- 768P: $0.06 / second of output video
- 2K: $0.13 / second of output video
- 4K: $0.16 / second of output video

The full example input below costs $0.65 = 650 API credits (5 s output video × $0.13 (2K)).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.com/v1/quote/minimax/h3/reference-to-video` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  | 1 – 50000 characters | Referansları varlık türü ve her referans listesindeki konumuyla tanımlayan video üretim talimatları; Audio 1, Video 1, Image 1, Image 2 gibi etiketler kullanılır. |
| `duration` |  | integer | no | `5` | 5 – 15 | Video uzunluğu, saniye cinsinden ölçülür. |
| `resolution` |  | enum (string) | no | `2K` | `480P`, `768P`, `2K`, `4K` | Üretilen videonun çözünürlüğünü seçin; 2K ve 4K, 768P tabanının yükseltilmesiyle elde edilir. Bunun yerine 480P veya 768P seçmek yerel üretim kullanır. |
| `seed` |  | integer \| null | no |  |  | Rastgele üretim için tohum; belirtilmezse rastgele bir tane seçilir. |
| `enable_safety_checker` |  | boolean | no | `true` |  | Güvenlik denetleyicisi etkinleştirme; true denetimi etkinleştirir. |
| `prompt_expansion_mode` |  | string \| null | no | `balanced` |  | Üretim öncesi istem yeniden yazma çabası: yaklaşık 30 saniyeye kadar süren daha zengin bir istem için 'quality', yaklaşık bir saniyede sonuç için 'fast' seçin. 'balanced' ile seçim istek başına yapılır; 'disabled' genişletmeyi kapatır. |
| `aspect_ratio` |  | enum (string) | no | `adaptive` | `adaptive`, `21:9`, `16:9`, `4:3`, `1:1`, `3:4`, `9:16` | Çıktı videosunun en-boy oranı. |
| `reference_image_urls` | `images` | array of image URL | no |  | ≤ 9 items | Konu veya stil referansı görsel URL'leri; tüm video ve ses referanslarıyla birlikte 12 dosyalık ortak sınırı paylaşır. Bu görselleri istemde liste konumuyla Image 1, Image 2 ve sonraki etiketleri kullanarak tanımlayın. |
| `reference_video_urls` |  | array of video URL | no |  | ≤ 3 items | İstemde liste konumuyla Video 1, Video 2 ve sonraki etiketler kullanılarak tanımlanan hareket veya diğer referans video URL'leri. Görsel, video ve ses referansları arasındaki ortak sınır 12 dosyadır; video kliplerinin her biri 2–15 saniye sürmeli ve toplamda 15 saniyeyi aşmamalıdır. |
| `reference_audio_urls` |  | array of audio URL | no |  | ≤ 3 items | Referans sesi URL'ler olarak sağlayın ve istemde klipleri Audio 1, Audio 2 ve sonraki etiketleri kullanarak tanımlayın. Her klip 2–15 saniye uzunluğunda olmalı ve toplam ses süresi 15 saniyeyi aşmamalıdır. Görsel, video ve ses referans türlerinden herhangi biri tek başına veya birlikte sağlanabilir; ortak üst sınır 12 dosyadır. |

File parameters (`images`, `reference_video_urls`, `reference_audio_urls`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax/h3/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.com/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3/reference-to-video?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3/reference-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.com/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "minimax/h3/reference-to-video",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/h3/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 650,
    "usd": "0.65",
    "charged": 650,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "expanded_prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size} | Model tarafından üretilen video. |
| `expanded_prompt` | string \| null | Model için hazır genişletilmiş istem veya genişletilmiş metin yoksa null. null durumları genişletmenin devre dışı olması, genişletmenin değişiklik yapmaması ve genişletmenin modelin barındırılan API'si tarafından dahili olarak işlenmesidir. |

## Related models

- [MiniMax H3 Text to Video](https://doitong.com/developers/models/minimax/h3/text-to-video.md) (`minimax/h3/text-to-video`): from $0.05 / second
- [MiniMax H3 Image to Video](https://doitong.com/developers/models/minimax/h3/image-to-video.md) (`minimax/h3/image-to-video`): from $0.05 / second
- [Seedance 2.0 Fast Reference to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/fast/reference-to-video.md) (`bytedance/seedance-2.0/fast/reference-to-video`): from $0.113 / second
- [Seedance 2.0 Reference to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/reference-to-video.md) (`bytedance/seedance-2.0/reference-to-video`): from $0.141 / second
- [Wan 3.0 Reference to Video](https://doitong.com/developers/models/alibaba/wan-3.0/reference-to-video.md) (`alibaba/wan-3.0/reference-to-video`): from $0.05 / second
- [H3 Max Reference to Video](https://doitong.com/developers/models/minimax/h3-max/reference-to-video.md) (`minimax/h3-max/reference-to-video`): from $0.05 / second of output video
- [MiniMax H3 Reference to Video LoRA](https://doitong.com/developers/models/minimax/h3/reference-to-video/lora.md) (`minimax/h3/reference-to-video/lora`): from $0.0625 / second
- [Alibaba V2.6 · Reference to Video · Flash](https://doitong.com/developers/models/wan/v2.6/reference-to-video/flash.md) (`wan/v2.6/reference-to-video/flash`): from $0.05 / second of output video

## Links

- HTML page: https://doitong.com/developers/models/minimax/h3/reference-to-video
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=minimax/h3/reference-to-video
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.com/v1/models/minimax/h3/reference-to-video
